﻿using Mall.Common.AOP;
using Mall.Common.Enum.MallBase;
using System;
using System.Collections.Generic;
using System.Text;

namespace Mall.Model.Entity.User
{
    /// <summary>
    /// 小程序实体类
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public  class RB_MiniProgram
    {
        /// <summary>
        /// 小程序主键Id
        /// </summary>        
        public int MallBaseId
        {
            get;
            set;
        }

        /// <summary>
        /// 商户号
        /// </summary>        
        public int? TenantId
        {
            get;
            set;
        }

        /// <summary>
        /// 商城名称
        /// </summary>        
        public string MallName
        {
            get;
            set;
        }

        /// <summary>
        /// 是否永久有效(1-永久有效）
        /// </summary>        
        public int? IsEffective
        {
            get;
            set;
        }

        /// <summary>
        /// 商城有效期
        /// </summary>        
        public DateTime? MallValidate
        {
            get;
            set;
        }

        /// <summary>
        /// 创建时间
        /// </summary>        
        public DateTime? CreateDate
        {
            get;
            set;
        }

        /// <summary>
        /// 状态(0-正常，1-禁用)
        /// </summary>
        public int Status { get; set; }

        /// <summary>
        /// 版权文字
        /// </summary>
        public string CopyRightWord { get; set; }

        /// <summary>
        /// 版权图片
        /// </summary>
        public string CopyRightImg { get; set; }

        /// <summary>
        /// 版权链接页面
        /// </summary>
        public string CopyRightLink { get; set; }

        /// <summary>
        /// 商城风格
        /// </summary>
        public MallShopStyleEnum MallShopStyle { get; set; }

        /// <summary>
        /// 顶部标题文件颜色类型(0-白色，1-黑色)
        /// </summary>
        public int TopNavWordType { get; set; }

        /// <summary>
        /// 顶部标题文字颜色
        /// </summary>
        public string TopNavWordColor { get; set; }

        /// <summary>
        /// 顶部导航栏背景颜色
        /// </summary>
        public string TopNavBgColor { get; set; }

        /// <summary>
        /// 底部导航栏背景颜色
        /// </summary>
        public string BottomNavBgColor { get; set; }

        /// <summary>
        /// 导航底部是否开启阴影效果(0-未开启，1-开启)
        /// </summary>
        public int BottomNavIsShadow { get; set; }
    }
}
